QXmppEntityTimeManager Class Reference
Managers

The QXmppEntityTimeManager class provided the functionality to get the local time of an entity as defined by XEP-0202: Entity Time. More...

`#include <QXmppEntityTimeManager.h>`

Inheritance diagram for QXmppEntityTimeManager:
[legend]
Collaboration diagram for QXmppEntityTimeManager:
[legend]

## Signals

void | timeReceived (const QXmppEntityTimeIq &)
| This signal is emitted when a time response is received.
Signals inherited from QXmppLoggable
void | setGauge (const QString &gauge, double value)
| Sets the given gauge to value.
void | logMessage (QXmppLogger::MessageType type, const QString &msg)
| This signal is emitted to send logging messages.
void | updateCounter (const QString &counter, qint64 amount=1)
| Updates the given counter by amount.

## Public Member Functions

QString | requestTime (const QString &jid)
Public Member Functions inherited from QXmppClientExtension
| QXmppClientExtension ()
| ~QXmppClientExtension () override
virtual QStringList | discoveryFeatures () const
virtual QList< QXmppDiscoveryIq::Identity > | discoveryIdentities () const
virtual bool | handleStanza (const QDomElement &stanza)=0
| You need to implement this method to process incoming XMPP stanzas. More...
Public Member Functions inherited from QXmppLoggable
| QXmppLoggable (QObject *parent=nullptr)

## Additional Inherited Members

Protected Member Functions inherited from QXmppClientExtension
QXmppClient * | client ()
virtual void | setClient (QXmppClient *client)
Protected Member Functions inherited from QXmppLoggable
void | debug (const QString &message)
void | info (const QString &message)
void | warning (const QString &message)
void | logReceived (const QString &message)
void | logSent (const QString &message)

## Detailed Description

The QXmppEntityTimeManager class provided the functionality to get the local time of an entity as defined by XEP-0202: Entity Time.

## Member Function Documentation

## requestTime()

QString QXmppEntityTimeManager::requestTime | ( | const QString & | jid | ) |

Request the time from an XMPP entity.

Parameters

  jid |

The documentation for this class was generated from the following files:

- QXmppEntityTimeManager.h
- QXmppEntityTimeManager.cpp